<template>
  <footer
    class="md:container dark:bg-black-500 sm:flex-row sm:px-8 lg:px-16 flex flex-col-reverse justify-between px-4 py-20 mx-auto bg-white"
  >
    <div>
      <NuxtLink to="/" :aria-label="`Grey Software's Logo`">
        <GreySoftwareLogoLight class="light-img" />
        <GreySoftwareLogoDark class="dark-img" />
      </NuxtLink>
      <p class="lg:hidden text-black-600 dark:text-white whitespace-nowrap flex mt-4 text-sm font-normal leading-4">
        Made with Love, Joy and Hope
      </p>
    </div>

    <div class="sm:grid-cols-3 lg:gap-10 grid grid-cols-2 gap-6">
      <div v-for="navItem in navItems" :key="navItem.name" class="md:w-28 flex flex-col items-start w-24 mb-12">
        <p class="text-black-600 dark:text-white text-xl font-semibold leading-6">{{ navItem.name }}</p>

        <div v-for="(navItemLink, index) in navItem.links" :key="index">
          <a :href="navItemLink.link" target="blank" class="flex flex-col items-start justify-center p-0 mt-4">
            <div class="text-black-600 dark:text-white whitespace-nowrap mt-2 text-base font-normal leading-5">
              {{ navItemLink.name }}
            </div>
          </a>
        </div>
      </div>
    </div>
    <p class="lg:block text-black-600 dark:text-white whitespace-nowrap hidden mr-4 text-sm font-normal leading-4">
      Made with Love, Joy and Hope
    </p>
  </footer>
</template>

<script>
import GreySoftwareLogoDark from '../global/GreySoftwareLogoDark.vue'
import GreySoftwareLogoLight from '../global/GreySoftwareLogoLight.vue'

export default {
  components: { GreySoftwareLogoDark, GreySoftwareLogoLight },

  data() {
    return {
      navItems: [
        {
          name: 'About',
          links: [
            {
              name: 'Pitch',
              link: 'https://grey.software/pitch',
            },
            {
              name: 'FAQ',
              link: 'https://grey.software/faq',
            },
            {
              name: 'Feedback',
              link: 'https://grey.software/feedback',
            },
            {
              name: 'Analytics',
              link: 'https://grey.software/analytics',
            },
            {
              name: 'Philosophy',
              link: 'https://grey.software/philosophy',
            },
          ],
        },
        {
          name: 'Explore',
          links: [
            {
              name: 'Resources',
              link: 'https://resources.grey.software/',
            },
            {
              name: 'Onboarding',
              link: 'https://onboarding.grey.software/',
            },
            {
              name: 'Organization',
              link: 'https://org.grey.software/',
            },
            {
              name: 'Learn',
              link: 'https://learn.grey.software/',
            },
            {
              name: 'Glossary',
              link: 'https://glossary.grey.software/',
            },
          ],
        },
        {
          name: 'Socials',
          links: [
            {
              name: 'Twitter',
              link: 'https://twitter.com/grey_software',
            },
            {
              name: 'GitHub',
              link: 'https://github.com/grey-software',
            },
            {
              name: 'GitLab',
              link: 'https://gitlab.com/grey-software',
            },
            {
              name: 'Discord',
              link: 'http://community.grey.software',
            },
            {
              name: 'LinkedIn',
              link: 'https://www.linkedin.com/company/grey-software/',
            },
          ],
        },
      ],
    }
  },
}
</script>
